'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'III  BASIC++ DEMO ZUM BASIC-COMPUTER MICRO (by DIE HARD)       IIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII

'--------------------------------------------------------------------
' Beispiel zum BASIC-COMPUTER MICRO mit dem Programmer/Application-Board
'--------------------------------------------------------------------
' ANWENDUNG: MFPORTS mit Treiber zum Ansteuern von zwei Servos
'--------------------------------------------------------------------
'
' Der BASIC-COMPUTER MICRO hat sechs Ports die, auch innerhalb eines
' Programms,verschiedene Funktionen erfllen, die MULTIFUNCTION-PORTS
' (MFPORTS). Mit zustzlich ladbaren Treibern lassen sich weiter
' Funktionen realisieren, wie hier der Betrieb von zwei Servos
' an den Ports  4 u. 5
'
' Die Position der zwei Servos wird durch die Valiablen POS1 und POS2
' bestimmet. Diese Variablen drfen Werte von 1 bis 100 annehmen
' Ein Wert von POS=1 entspricht einem Sevo-Steuerimpuls von 1000 us,
' ein WERT von POS=100 entspricht einer Pulslnge von 2100 us
'
' Fr eigene Anwendungen knnen Sie auch den alternativen Treiber
' "SERVO_P5P6.s19" laden, wenn Sie lieber den FREQ Eingang
' zur freien Verfgung haben wollen und auf den AD6 verzichten knnen.
' Die Servos werden dann an Port 5 u. 6 angesteuert
'-----------------------------------------------------------------------
' BEISPIELPROGRAMM:
' Dies ist eine Demo zum Betrieb von zwei Servos an dem BASIC-Computer
' Servo 1 wird an Port 4 angeschlossen, Servo 2 an Port 5
' Das Programm demonstriert nur die Funktionsfhigkeit des Servotreibers,
' indem es das SERVO1 auf eine feste Position fhrt und dort verbleibt.
' Der AD-Wandler AD6 wird in dieser Demo dazu verwendet
' die Position von Servo 2 mit dem Poti auf dem P/A-Board einzustellen.
' In diesem Beispiel wird der der vom ADC (AD6) gelieferte Wert
' entsprechend skaliert und in die Variable POS2 bertragen.
'
' Bei den Applikationen finden Sie etwas komplexere Beispiele zu konkreten
' Anwendungen
'
'------------------------------------------------------------------------
' LADEN DES TREIBERS:
' Der Teiber kann auf die PAGE0 geladen werden oder mit einem Ladeprogramm
' auch auf die Page1.
' Beachten Sie dass die Initialisierung unterschiedlich ist, je nach dem
' auf welcher Page der Treiber luft. Die PAGE1 Initialisierung ist in diesem
' Beispiel auskommentiert, da er hier auf PAGE0 geladen wird
' Der Treiber muss nur einmal geladen werden, er verbleibt im Speicher,
' auch wenn sie das BASIC-Programm erneut laden.
'
' LADEN AUF PAGE0:
' Der Treiber wird automatisch zusammen mit dem BASIC-Programm
' auf die PAGE 0 geladen. und ist sofort betriebsbereit.
'
' LADEN AUF PAGE1:
' Fr einen Betrieb auf der PAGE1 mssen sie die letzte Zeile
' im Programm auskommentieren und das Programm downloaden.
' Zustlich mssen Sie das Programm "DRIVERLOAD_ServoP4P5.bas" laden.
' Erst dann kann das Programm gestartet werden.
'-----------------------------------------------------------------------
' SIE DRFEN DIESEN TREIBER NUR LADEN, WENN DIE PAGE0/1 NICHT VON ANDEREN
' TREIBERN/SYSTEMERWEITERUNGEN, DIE SIE BENTIGEN, BELEGT IST !
' Der Treiber ist nicht fr die MICRO mit der OS-Version 2.00 geeignet
'---------------------------------------------------------------------

'--------------------------
'------ I/O PORTS ---------
'--------------------------
define POS1     byte[1]
define POS2     byte[2]
define SERVO1   port[4]
define SERVO2   port[5]
define ADC6     ad[6]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------
define ADJ2     byte[3]

'---------------------------------------------------
'------ DRIVER INIT POR PAGE AND PORTS -------------
'---------------------------------------------------
SYS FD34h 'PAGE0
'SYS FC37h 'PAGE1
SERVO1=off
SERVO2=off
'---------------------------------------------------

'--------- SETTING SERVO 1 POSITION ---------------
POS1=100
'--------- SERVO 2 POSITION ADJUSTABLE ------------
#S2ADJ
ADJ2=ADC6/2
'--------- LIMIT SERVO POSITION TO 100 ------------
if ADJ2 <=100 then POS2=ADJ2
if ADJ2 >100 then POS2=100
goto S2ADJ


syscode "SERVO_P4P5.s19"





attributes
 
end attributes
